---
title: Bitwarden
---

### 1. Prepare the environment
1.1 Create custom webapp called `warden` in the control panel
1.2 Configure Ruby 2.4 by editing `~/.bash_aliases` and adding these aliases
```sh
alias ruby=ruby2.4
alias gem=gem2.4
```
1.3 Install the bundle gem
```sh
gem install bundle
```
### 2. Install Bitwarden Ruby into the directory
```sh
cd ~/webapps
clone https://github.com/jcs/bitwarden-ruby.git warden
cd warden
bundle install
```
### 3. Start / Stop / Restart and Cron scripts
3.1 `Start` script where `$PORT` is the port of the custom webapp
```sh
#!/bin/sh
pgrep -f "ruby2.4 /home/tanshu/gems/bin/rackup -p $PORT config.ru" > /dev/null 2>&1 && exit 0
mkdir -p /home/tanshu/webapps/warden/run
cd /home/tanshu/webapps/warden
nohup env RACK_ENV=production bundle exec rackup -p $PORT config.ru > /dev/null 2>&1 &
sleep 3
pgrep -f "ruby2.4 /home/tanshu/gems/bin/rackup -p $PORT config.ru" > /home/tanshu/webapps/warden/run/ruby.pid
```